Event::getSupportedMethods
Event::set
Event
PHP Manual

# Event::pending

(PECL event >= 1.2.6-beta)

Event::pending — Detects whether event is pending or scheduled

### Description

public bool Event::pending ( int `$flags` )

Detects whether event is pending or scheduled

### Parameters

`flags`

  One of, or a composition of the following constants: `Event::READ` , `Event::WRITE` , `Event::TIMEOUT` , `Event::SIGNAL` .

### Return Values

Returns `TRUE` if event is pending or scheduled. Otherwise `FALSE`.

Event::getSupportedMethods
Event::set
Event
PHP Manual